Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

All other Modules /

Discuss all other Modules here.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Newsmodule 1.0 for SS3.0.x and higher.


Reply


17 Posts   1289 Views

Avatar
Brasil

Community Member, 12 Posts

15 July 2013 at 11:02pm

Thanks! I will do a fresh install this afternoon and let you know the result.

Avatar
Sphere

Community Member, 44 Posts

16 July 2013 at 2:39am

If possible, could you open an issue on [url=https://github.com/Firesphere/silverstripe-newsmodule/issues?labels=&milestone=&page=1&state=open]github[/url], with as much details as what steps you took to reproduce the error?
(Installation-method, installed modules, etc.)

Avatar
Brasil

Community Member, 12 Posts

16 July 2013 at 4:48am

Hi Sphere,

After reading this thread: https://github.com/colymba/GridFieldBulkEditingTools/issues/33 I comment out the same section as jenniferaslan did (in \code\objects\News.php from line 348 till 363) and now adding and edit messages seems to be works fine. But I didn't test everything yet. Maybe there is another issue now because I comment out this. I will test more tomorrow.

Avatar
Sphere

Community Member, 44 Posts

16 July 2013 at 5:07am

You're using the master_3.0, not the master for SS3.1?
I would advise to switch to the 3.1 Silverstripe and GridFieldBulkEditingTools, it's way faster.

But I assumed you were on master (which did have a bug by the way).

I'll be checking and bugfixing the master_3.0 version asap, but it's only bugfixing, no new features like the master-branch.

Avatar
Brasil

Community Member, 12 Posts

16 July 2013 at 6:00am

Sphere,

No I'm not using master_3.0, I'm using the master for ss3.1 on Silverstripe 3.1. I checked that many times and for sure I downloaded again this afternoon from Github.
Also the GridFieldBulkEditingTools and SortableGridField are the latest versions.

Avatar
Sphere

Community Member, 44 Posts

16 July 2013 at 6:05am

Very strange you encountered this. I'm developing this module while being on the latest master or 3.1 versions all the time to make sure no bugs appear. The demo-website as described in the readme is also on the latest release (sometimes a few days behind) and doesn't show the behaviour you're describing.

Nor is my local master or development branch, even when resetting a few commits back.

I have no explanation, but if you can, could you install Firebug (if you haven't already) and set your environment to dev (in _config.php of mysite, set Director::set_environment('dev'); )
Then, check the "Net" tab of Firebug, when submitting a new item (with the commented part uncommented again)?
It should give you a more detailed error, because I'm completely unable to reproduce your error, even on a clean installation.

Avatar
Brasil

Community Member, 12 Posts

16 July 2013 at 6:17am

Sphere,

I will do later this evening. I see we are from the same country :)

Avatar
Sphere

Community Member, 44 Posts

16 July 2013 at 6:24am

Really? I thought you were Brazilian! :D

You got my e-mail for issues considering any work I ever done that's publicly on github ;) Contact me there, maybe a Skype-talk and/or any other method might be useful.